org.richfaces.renderkit.html

## Class InplaceInputRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.InplaceInputRendererBase
        - - org.richfaces.renderkit.html.InplaceInputRenderer

-     public class InplaceInputRenderer
      extends InplaceInputRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.InplaceInputRendererBase

      `INPLACE_INPUT_HANDLER_ATTRIBUTES`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InplaceInputRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.

    - ### Methods inherited from class org.richfaces.renderkit.InplaceInputRendererBase

      `getChangedStateCss, getContainerStyleClasses, getDisableStateCss, getEditCss, getEditEvent, getEditStateCss, getEditStyleClass, getInplaceState, getInputWidth, getNoneCss, getReadyStateCss, getStateStyleClass, getValue, renderInputHandlers`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `doDecode, getConvertedValue, getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InplaceInputRenderer

          public InplaceInputRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.